Bug 368611 - (CVE-2007-5936) CVE-2007-5936 dviljk uses insecure temporary file
CVE-2007-5936 dviljk uses insecure temporary file
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://bugs.gentoo.org/show_bug.cgi?i...
source=gentoo,reported=20071106,publi...
: Reopened, Security
Depends On: 379831 379841 379851 379861 577309 577322 577323 577328 577329
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 12:54 EST by Red Hat Product Security
Modified: 2016-03-04 05:41 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0-40.3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-07 04:22:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix for dviljk buffer overflows and /tmp race (64.58 KB, patch)
2007-11-06 13:00 EST, Lubomir Kundrak
no flags Details | Diff
A patch without the whitespace-wipe hunks, from Gentoo (33.29 KB, patch)
2007-11-07 10:38 EST, Lubomir Kundrak
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2007-11-06 12:54:41 EST
Description of problem:

Dvips uses insecure tmpnam() function to create files for temporary data while
converting a DVI file to laser jet printer format. A local attacker could
conduct a time-dependent attack by creating the files before dviljk uses them
which could possibly lead into information leak and would permit the attacker to
modify the processed data.

Additional info:

See URL filed for Gentoo report.
The attached file fixes this problem by using a secure temporary directory
together with other issues.
Comment 1 Lubomir Kundrak 2007-11-06 13:00:07 EST
Created attachment 249481 [details]
Fix for dviljk buffer overflows and /tmp race
Comment 2 Lubomir Kundrak 2007-11-06 13:08:06 EST
The CVE identifier for this issue was requested.
Comment 3 Lubomir Kundrak 2007-11-07 10:38:01 EST
Created attachment 250261 [details]
A patch without the whitespace-wipe hunks, from Gentoo
Comment 4 Lubomir Kundrak 2007-11-13 08:22:18 EST
Pinged Mitre about the need for CVE.
Comment 5 Jindrich Novy 2007-11-13 09:28:40 EST
Fixed in rawhide. F8, F7, FC-6 pending.
Comment 6 Fedora Update System 2007-11-14 22:32:28 EST
tetex-3.0-44.2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex'
Comment 7 Fedora Update System 2007-11-14 22:46:23 EST
tetex-3.0-40.3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tetex'
Comment 8 Fedora Update System 2007-11-20 13:00:51 EST
tetex-3.0-40.3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2007-11-20 13:04:58 EST
tetex-3.0-44.3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Lubomir Kundrak 2007-12-05 14:32:04 EST
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.
Comment 12 Red Hat Bugzilla 2009-10-23 15:04:40 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.
Comment 16 Tomas Hoger 2010-05-07 04:22:38 EDT
Statement:

Not vulnerable. This issue did not affect the versions of tetex packages as shipped with Red Hat Enterprise Linux 3, 4, or 5, as they do not provide the dviljk binary.

Note You need to log in before you can comment on or make changes to this bug.